/* $Id$ */
#ifndef BLOCKIMG_H
#define BLOCKIMG_H

#include "protocol.h"

#define HOR_BLOCKS (IMAGE_WIDTH / BLOCK_WIDTH)
#define VER_BLOCKS (IMAGE_HEIGHT / BLOCK_HEIGHT)

typedef struct {
    unsigned char data[BLOCK_WIDTH * BLOCK_HEIGHT];
} Block;

typedef struct {
    Block block[HOR_BLOCKS][VER_BLOCKS];
} BlockImage;

#endif
